[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] Can I request a new release of libvirt-java?



On Tue, Sep 17, 2013 at 09:04:46AM +0200, Wido den Hollander wrote:
> On 09/16/2013 07:58 AM, Daniel Veillard wrote:
> >   Raising this due to maven
> >
> >On Fri, Sep 13, 2013 at 05:26:24PM +0800, Daniel Veillard wrote:
> >>On Fri, Sep 13, 2013 at 11:13:53AM +0200, Wido den Hollander wrote:
> >>>
> >>>
> >[...]
> >>
> >>   Indeed that was the problem, I just commited the fix, thanks !
> >
> 
> Somewhat related to this: It seems you have compiled with Java 7
> causing the bindings not to work with Java 6.
> 
> A lot of users are still running Java 6 on their systems.
> 
> You could do this with in build.xml:
> 
> <javac target="1.6" .../>
> 
> Or something like:
> 
> <property name="javac.target" value="1.6" />
> ..
> <javac target="${javac.target}" .../>
> 
> Java 6 is still around and I think it should be supported for older
> platforms.

  I just compiled with the java available in my system (fedora 19).
Do one really need to release for every version of java potentially
using libvirt-java ?
Can't they just rebuild locally too ?

  I take patches :-) as build.xml is in git

Daniel

-- 
Daniel Veillard      | Open Source and Standards, Red Hat
veillard redhat com  | libxml Gnome XML XSLT toolkit  http://xmlsoft.org/
http://veillard.com/ | virtualization library  http://libvirt.org/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]